Name:           python-datamarket
Version:        0.9.31
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utilities that integrate advanced scraping knowledge into just one library.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://github.com/Data-Market/datamarket
Source:         %{pypi_source datamarket}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'datamarket' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-datamarket
Summary:        %{summary}

%description -n python3-datamarket %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-datamarket alchemy,aws,azure-storage-blob,boto3,camoufox,chompjs,click,clickhouse-driver,datetime,demjson3,dnspython,drive,duckduckgo-search,fake-useragent,geoalchemy2,geopandas,google-api-python-client,google-auth-httplib2,google-auth-oauthlib,html2text,httpx,json5,lxml,nodriver,openpyxl,pandas,pandera,peerdb,pii,pillow,playwright,playwright-stealth,proxy,pyarrow,pydrive2,pymupdf,pysocks,pyspark,pytest,rapidfuzz,retry,shapely,soda-core-mysql,soda-core-postgres,stem,tqdm,undetected-chromedriver,xmltodict


%prep
%autosetup -p1 -n datamarket-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x alchemy,aws,azure-storage-blob,boto3,camoufox,chompjs,click,clickhouse-driver,datetime,demjson3,dnspython,drive,duckduckgo-search,fake-useragent,geoalchemy2,geopandas,google-api-python-client,google-auth-httplib2,google-auth-oauthlib,html2text,httpx,json5,lxml,nodriver,openpyxl,pandas,pandera,peerdb,pii,pillow,playwright,playwright-stealth,proxy,pyarrow,pydrive2,pymupdf,pysocks,pyspark,pytest,rapidfuzz,retry,shapely,soda-core-mysql,soda-core-postgres,stem,tqdm,undetected-chromedriver,xmltodict


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-datamarket -f %{pyproject_files}


%changelog
%autochangelog